Skip to main content
POST
/
employee_benefits
/
batch
/
upsert
Batch upsert employee benefits
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/employee_benefits/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<id>",
    "amount": 50,
    "effective_from": "2026-01-01"
  },
  {
    "work_assignment_id": "<id>",
    "employee_benefit_type": "dental",
    "amount": 35,
    "amount_type": "fixed",
    "frequency": "per_payroll",
    "effective_from": "2026-01-01"
  }
]
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements

Response

202

Accepted